Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Namespaces | Classes | Typedefs | Functions
osmium::builder Namespace Reference

Classes for building OSM objects and other items in buffers. More...

## Namespaces
namespace | attr

## Classes
class | AreaBuilder
class | Builder
class | ChangesetBuilder
class | ChangesetDiscussionBuilder
class | NodeBuilder
class | NodeRefListBuilder
class | OSMObjectBuilder
class | RelationBuilder
class | RelationMemberListBuilder
class | TagListBuilder
class | WayBuilder

## Typedefs
using | WayNodeListBuilder = NodeRefListBuilder<WayNodeList>
using | OuterRingBuilder = NodeRefListBuilder<OuterRing>
using | InnerRingBuilder = NodeRefListBuilder<InnerRing>

## Functions
constexpr | _visible (bool value=true) noexcept

## Detailed Description

Classes for building OSM objects and other items in buffers.

## Typedef Documentation

## ◆ InnerRingBuilder

using osmium::builder::InnerRingBuilder = NodeRefListBuilder<InnerRing>

## ◆ OuterRingBuilder

using osmium::builder::OuterRingBuilder = NodeRefListBuilder<OuterRing>

## ◆ WayNodeListBuilder

using osmium::builder::WayNodeListBuilder = NodeRefListBuilder<WayNodeList>

## Function Documentation

## ◆ _visible()

osmium::builder::_visible | ( | bool | value = true | ) |
| explicit constexpr noexcept